> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transactions for a specific position

> Returns investment and repayment transactions for a specific position



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/positions/{position_heron_id}/transactions
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/positions/{position_heron_id}/transactions:
    get:
      tags:
        - Positions
      summary: Get transactions for a specific position
      description: Returns investment and repayment transactions for a specific position
      operationId: getPositionTransactions
      parameters:
        - description: The position heron ID
          in: path
          name: position_heron_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PositionTransactions'
          description: Position transactions retrieved successfully
        '404':
          description: Position not found
components:
  schemas:
    PositionTransactions:
      properties:
        investment_transactions:
          items:
            $ref: '#/components/schemas/PositionTransaction'
          type: array
        position_heron_id:
          type: string
        repayment_transactions:
          items:
            $ref: '#/components/schemas/PositionTransaction'
          type: array
        reversal_transactions:
          items:
            $ref: '#/components/schemas/PositionTransaction'
          type: array
      type: object
    PositionTransaction:
      properties:
        amount:
          $ref: '#/components/schemas/Money'
        description:
          type: string
        heron_id:
          type: string
        timestamp:
          format: date-time
          type: string
      type: object
    Money:
      properties:
        amount:
          description: The amount of money
          example: '1234.56'
          type: number
        currency:
          description: The currency of the money
          example: USD
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````